Subject: Hooking an IRQ on a modified mpc8349emitx board

From: Oscar Takeshita <[email-masked]>
Date: Wed, 03 Sep 2008 15:55:41 -0700

Hi,

I've been trying to hook an IRQ on a modified mpc8349emitx board without 
success.

The IRQ is hooked physically to IRQ1/GPIO2[13] on the mpc8349e. No other 
devices are
tied to this pin.

I'm using uboot 1.2.0 and kernel 2.6.22.19.

Do I need to have a dts entry for this interrupt in order to make
request_irq() succeed?

How can I find the IRQ number? I tried probe_irq_on/off unfortunately it 
did not work.
Would it be MPC83xx_IRQ_EXT1 in arch/powerpc/include/asm/mpc83xx.h ?

I'm new doing kernel work. Any hints appreciated.

Oscar